Announcements

Help Wizard

Step 1

NEXT STEP

Unable to open Spotify on Gentoo Linux due to libcurl.so.4

Unable to open Spotify on Gentoo Linux due to libcurl.so.4

Plan

Premium

Country

Brazil

 

Device

Positivo Desktop (Core i5-9400)

Operating System

GNU/Linux - Gentoo AMD64 distribution

 

My Question or Issue

I can't open Spotify. Probably due to libcurl.so.4 error. Spotify dump is attached.

 

Possibly relevant information about the system:

- This is a traditional Gentoo, with OpenRC, amd64 and no 32bits libs (profile nomultilib)

- Current installed curl version (latest on Gentoo repositories): 8.2.1

- Current installed spotify version (latest on Gentoo repositories): 1.2.13

 

I can provide more information, if needed.

Thanks in advance.

Reply
2 Replies

Reproduced the same issue. Terminal output

 

> spotify
Neither gnome-integration-spotify nor spotify-tray are installed.
Launching spotify without systray integration.
/opt/spotify/spotify-client/spotify: /usr/lib64/libcurl.so.4: no version information available (required by /opt/spotify/spotify-client/spotify)
/opt/spotify/spotify-client/spotify: /usr/lib64/libcurl.so.4: no version information available (required by /opt/spotify/spotify-client/spotify)
/opt/spotify/spotify-client/spotify: /usr/lib64/libcurl.so.4: no version information available (required by /opt/spotify/spotify-client/spotify)
/proc/self/exe: /usr/lib64/libcurl.so.4: no version information available (required by /proc/self/exe)

 

LSB Version: n/a
Distributor ID: Gentoo
Description: Gentoo Linux
Release: 2.14
Codename: n/a

 

net-misc/curl
Latest version available: 8.4.0
Latest version installed: 8.4.0
Size of files: 2597 KiB

 

media-sound/spotify
Latest version available: 1.2.22
Latest version installed: 1.2.22
Size of files: 121807 KiB

rm ~/.cache/spotify

Suggested posts